Skip to Content
veriom

Get repository architecture history

GET
/v1/workspaces/{workspace_id}/repositories/{repository_id}/architecture/history

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
repository_id*Repository Id
Formatuuid

Query Parameters

limit?Limit
Range1 <= value <= 100
Default25
branch_ref?|null
environment?|null

Response Body

Successful Response

application/json
  1. response
items*array<>
repository_id*Repository Id
Formatuuid
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture/history'
Example Response
{  "items": [    {      "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",      "audit_status": "string",      "audit_type": "string",      "branch_ref": "string",      "commit_sha": "string",      "completed_at": "2019-08-24T14:15:22Z",      "entity_count": 0,      "environment": "string",      "generated_at": "2019-08-24T14:15:22Z",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "missing_sources": [        "string"      ],      "relationship_count": 0,      "source_coverage": "string",      "sources": [        "string"      ],      "status": "string",      "version": "string"    }  ],  "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3"}